Summary
Creates a new component group document.
Description
Creates a new component group document.
Route
POST /automation-studio/component-groups
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| componentGroup |
object |
yes |
Component group entity to create. |
Copied to Clipboard
{
"componentGroup": {
"name": "test",
"gbacRead": [
"dolor ullamco eu"
],
"members": [
{
"path": "amet reprehenderit et officia",
"type": "component",
"sourceCollection": "Duis",
"ref": "magna elit ut"
},
{
"path": [
"amet voluptate velit tempor",
"cupidatat incididunt culpa nostrud laborum"
],
"type": "folder"
},
{
"path": "dolor velit",
"type": "component",
"sourceCollection": "do",
"ref": "deserunt"
}
],
"_id": "a5B02be20Ff5085730ACa6C5",
"description": "sunt voluptate ut nostrud mollit",
"gbacWrite": [
"nulla",
"deserunt",
"non ullamco pariatur irure"
],
"version": 1
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"componentGroup": {
"title": "componentGroup",
"$ref": "componentGroup"
}
},
"required": [
"componentGroup"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Created component group and associated edit URI. |
Copied to Clipboard
{
"created": {
"name": "test",
"gbacRead": [
"aliquip do elit dolore",
"mollit aliqua do Duis enim",
"id laboris velit"
],
"members": [
{
"path": "in ullamco est ut",
"type": "component",
"sourceCollection": "nulla",
"ref": "sit occaecat"
},
{
"path": "esse in magna",
"type": "component",
"sourceCollection": "sit irure",
"ref": "laborum"
},
{
"path": "irure tempor Lorem",
"type": "component",
"sourceCollection": "consequat",
"ref": "dolore"
}
],
"_id": "AA4e8E89ad0Cd29ce79Ffad7",
"description": "Lorem tempor do",
"gbacWrite": [
"sed"
],
"version": 1
},
"edit": "magna"
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"description": "Created component group and associated edit URI.",
"properties": {
"created": {
"$ref": "componentGroup"
},
"edit": {
"type": "string",
"description": "URI to the edit page for the newly created component group."
}
},
"required": [
"created",
"edit"
]
}